http
POST /api/data/v1/streams/{streamId}/executions HTTP/1.1
Host: {instance}.domo.com
X-DOMO-Developer-Token: {token}
Content-Type: application/json
{
"action": "MANUAL"
}curl --request POST \
--url https://{instance}.domo.com/api/data/v1/streams/{streamId}/executions \
--header 'Content-Type: application/json' \
--header 'X-DOMO-Developer-Token: <api-key>' \
--data '
{
"action": "MANUAL"
}
'import requests
url = "https://{instance}.domo.com/api/data/v1/streams/{streamId}/executions"
payload = { "action": "MANUAL" }
headers = {
"X-DOMO-Developer-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-DOMO-Developer-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({action: 'MANUAL'})
};
fetch('https://{instance}.domo.com/api/data/v1/streams/{streamId}/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Execute Dataset Stream
Executes a dataset stream manually
POST
/
api
/
data
/
v1
/
streams
/
{streamId}
/
executions
http
POST /api/data/v1/streams/{streamId}/executions HTTP/1.1
Host: {instance}.domo.com
X-DOMO-Developer-Token: {token}
Content-Type: application/json
{
"action": "MANUAL"
}⌘I